# groff-web

## Description
Minimal groff web frontend

## Installation

Dependencies:

```shell
apt install -y groff-base grap nginx php-fpm
```

Download and extract files. Then,
copy web root and set up permissions to `www-data` user
so PDFs can be generated.

```shell
wget "https://gitlab.com/tavo-wasd/groff-web/-/archive/main/groff-web-main.tar.gz"
tar -xvf groff-web-main.tar.gz
cp -r groff-web-main/public /var/www/groff-web
chown -R www-data:www-data /var/www/groff-web
```

nginx setup.

```shell
cp groff-web-main/nginx.conf /etc/nginx/sites-available/groff-web.conf
sed -i 's/groff.example.org/MY.DOMAIN.COM/' /etc/nginx/sites-available/groff-web.conf
ln -s /etc/nginx/sites-available/groff-web.conf /etc/nginx/sites-enabled
systemctl reload nginx
```

## Configuration

Here, you can change the groff binary PATH, and also settings
an external compilation script if you prefer.

```php
<?php
    ...
    # groff settings
    $groff = "/usr/bin/groff";
    $comp = "$groff -ketpG -mspdf -Tpdf tmp/$uid.ms > tmp/$uid.pdf";
    # In case you want to use an external
    # script to compile with groff:
    #$comp = "sh groff-compiler.sh";
    ...
?>
```

## License
GPL v3.0
